Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rice.p2p.past.gc.messaging
Class GCLookupHandlesMessage

    java.lang.Object
      rice.p2p.past.messaging.PastMessage
          rice.p2p.past.messaging.ContinuationMessage
              rice.p2p.past.messaging.LookupHandlesMessage
                  rice.p2p.past.gc.messaging.GCLookupHandlesMessage

All Implemented Interfaces:
  java.io.Serializable, Continuation, Message, RawMessage

    public class GCLookupHandlesMessage

extends LookupHandlesMessage

Version:
  $Id: GCLookupHandlesMessage.java 3274 2006-05-15 16:17:47Z jeffh $
Author:
  Alan Mislove
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface rice.Continuation
`Continuation.ErrorContinuation, Continuation.ExternalContinuation, Continuation.ExternalContinuationRunnable, Continuation.ExternalRunnable, Continuation.ListenerContinuation, Continuation.MultiContinuation, Continuation.NamedContinuation, Continuation.SimpleContinuation, Continuation.StandardContinuation`

Field Summary
`static short` | `TYPE` DESCRIBE THE FIELD

Fields inherited from class rice.p2p.past.messaging.ContinuationMessage
`exception, response, S_EMPTY, S_JAVA_EXCEPTION, S_JAVA_RESPONSE, S_SUB, serType`

Fields inherited from class rice.p2p.past.messaging.PastMessage
`dest, isResponse, source`

Fields inherited from interface rice.p2p.commonapi.Message
`HIGH_PRIORITY, LOW_PRIORITY, MAX_PRIORITY, MEDIUM_HIGH_PRIORITY, MEDIUM_LOW_PRIORITY, MEDIUM_PRIORITY`

Constructor Summary
`GCLookupHandlesMessage(int uid, Id id, NodeHandle source, Id dest)` Constructor

Method Summary
`static GCLookupHandlesMessage` | `buildGC(InputBuffer buf, Endpoint endpoint)` DESCRIBE THE METHOD
`short` | `getType()` Raw Serialization **************************************
`void` | `serialize(OutputBuffer buf)` DESCRIBE THE METHOD
`java.lang.String` | `toString()` Returns a string representation of this message

Methods inherited from class rice.p2p.past.messaging.LookupHandlesMessage
`build, getId, getMax, serializeHelper`

Methods inherited from class rice.p2p.past.messaging.ContinuationMessage
`deserialize, getResponse, receiveException, receiveResult, returnResponse, serialize`

Methods inherited from class rice.p2p.past.messaging.PastMessage
`addHop, getDestination, getPriority, getSource, getUID, isResponse, setResponse`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### TYPE

    public static final short TYPE

  DESCRIBE THE FIELD

  See Also:
    Constant Field Values

Constructor Detail

### GCLookupHandlesMessage

    public GCLookupHandlesMessage(int uid,
                                  Id id,
                                  NodeHandle source,
                                  Id dest)

  Constructor

  Parameters:
    `uid` - The unique id
    `id` - The location to be stored
    `source` - The source address
    `dest` - The destination address

Method Detail

### getType

    public short getType()

  Raw Serialization **************************************

  Specified by:
    `getType` in interface `RawMessage`
  Overrides:
    `getType` in class `LookupHandlesMessage`
  Returns:
    The Type value

### toString

    public java.lang.String toString()

  Returns a string representation of this message

  Overrides:
    `toString` in class `LookupHandlesMessage`
  Returns:
    A string representing this message

### serialize

    public void serialize(OutputBuffer buf)
                   throws java.io.IOException

  DESCRIBE THE METHOD

  Specified by:
    `serialize` in interface `RawMessage`
  Overrides:
    `serialize` in class `LookupHandlesMessage`
  Parameters:
    `buf` - DESCRIBE THE PARAMETER
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

### buildGC

    public static GCLookupHandlesMessage buildGC(InputBuffer buf,
                                                 Endpoint endpoint)
                                          throws java.io.IOException

  DESCRIBE THE METHOD

  Parameters:
    `buf` - DESCRIBE THE PARAMETER
    `endpoint` - DESCRIBE THE PARAMETER
  Returns:
    DESCRIBE THE RETURN VALUE
  Throws:
    `java.io.IOException` - DESCRIBE THE EXCEPTION

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Rice Pastry API
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2005 - Rice Pastry.